program deneme_serial

interface 
  extrinsic (hpf_serial) subroutine sum_ar(a,rsum)
      integer,dimension(:),intent(in) :: a
      integer,intent(out) ::  rsum
  end
end interface

integer a(100),rsum
!hpf$ distribute (block) :: a

do i=1,100
  a(i) = i
enddo

call sum_ar(a,rsum)
print *,'sum =',rsum
end


